# IRdInputState Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | GetKeyState ([in]RtUlong uKey,[out]RtBool *pPressed)
HRESULT | GetMouseState ([out]RtMouseEvent *pMouseState)
HRESULT | GetSequenceStart ([out]RtBool *pbSequenceStart)
HRESULT | SetMouseState ([in]RtMouseEvent *pMouseState)
HRESULT | SetViewNode ([in]IRsNode *pViewNode)
HRESULT | SetSequenceStart ([in]RtBool bSequencsStart)

## Detailed Description

IRdInputState is used to handle state of various input devices (mouse or keyboard for now).

## Member Function Documentation

HRESULT IRdInputState::GetKeyState | ( | [in] RtUlong | uKey,
|  | [out] RtBool * | pPressed |
| ) |  |  |

Get state of keyboard button.

Parameters:

  | uKey | [in] specifies windows virtual key code.
  | pPressed | [out] Return button state.

Returns:
  standard HRESULT processing can be applied to returned value.

HRESULT IRdInputState::GetMouseState | ( | [out] RtMouseEvent * | pMouseState | ) |

Get state of mouse.

Parameters:

  | pMouseState | [out] Return mouse event that caused reading of input states.

Returns:
  standard HRESULT processing can be applied to returned value.

HRESULT IRdInputState::GetSequenceStart | ( | [out] RtBool * | pbSequenceStart | ) |

Sequence start flag is used to distinguish between clicks and drags for sequenced actions.

Parameters:

  | pbSequenceStart | [out] Returns true if this is start of action sequence.

Returns:
  standard HRESULT processing can be applied to returned value.

HRESULT IRdInputState::SetMouseState | ( | [in] RtMouseEvent * | pMouseState | ) |

Set mouse event.

Parameters:

  | pMouseState | [in] Specifies mouse state to store inside data object.

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdInputState::SetViewNode | ( | [in] IRsNode * | pViewNode | ) |

Set view node.

Parameters:

  | pViewNode | [in] View node.

Returns:
  standard HRESULT processing can be applied to returned value.

HRESULT IRdInputState::SetSequenceStart | ( | [in] RtBool | bSequencsStart | ) |

Set sequence start flag.

Parameters:

  | bSequencsStart | [in] Set true for start of sequence.

Returns:
  standard HRESULT processing can be applied to returned value.